commit: b694fa4678b229850fa6813411fca17b0c7e74fb
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 25 08:02:00 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 25 08:11:42 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b694fa46
dev-python/rsa: Bump to 4.8
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/rsa/Manifest | 1 +
dev-python/rsa/rsa-4.8.ebuild | 34 ++++++++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
index bac0514f8f70..bfe6acc5a83f 100644
--- a/dev-python/rsa/Manifest
+++ b/dev-python/rsa/Manifest
@@ -1 +1,2 @@
DIST python-rsa-version-4.7.2.gh.tar.gz 65177 BLAKE2B
513d6f346813d6bc67de23ee419d70f310155303df40174d47343786f735e00446d8874f51fdea0d7dc890bc8986bb2861746328d7200e8704197adde99d68ad
SHA512
4ab64868be00b74b64931453f684bc7f68cfea92cee651e957411e4dc5084e5f8e300fda01cf5187df2f3b455ea40d233488a2e777c9d669d457f67325b420f0
+DIST python-rsa-version-4.8.gh.tar.gz 73634 BLAKE2B
55f25b6747f4f0bad12cbbb75c6e6fdbe6f913265866f11430644b46f9d3a2f615e6ed460d04cc732cfe29f0a4e47b14f2581f29d523b3018272ef976a6a04aa
SHA512
d65e5d3c902508f4ea7424099471cd68568b052b9647a87ceb155ecc444ba6a8bd0ebef6fe1bf38720a19193cd494a8b64f744cca5812d1a3bec28f3fa3a9a3d
diff --git a/dev-python/rsa/rsa-4.8.ebuild b/dev-python/rsa/rsa-4.8.ebuild
new file mode 100644
index 000000000000..40faefa011e5
--- /dev/null
+++ b/dev-python/rsa/rsa-4.8.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+MY_P=python-rsa-version-${PV}
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="
+ https://stuvel.eu/rsa/
+ https://pypi.org/project/rsa/"
+SRC_URI="
+ https://github.com/sybrenstuvel/python-rsa/archive/version-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ rm tests/test_mypy.py || die
+ distutils-r1_src_prepare
+}